using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 成本中心
    /// </summary>
    [Description("成本中心")]
	[IgnoreT4]public class T_FM_COST_CENTER : TreeEntityBase<T_FM_COST_CENTER>
	{
		/// <summary>
		/// 编号
		/// </summary>
		[Description("编码")]
		[CUnique]
		public string CODE { get; set; }

		/// <summary>
		///名称
		/// </summary>
		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }

        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }

        /// <summary>
        /// 启用标志 FMEnableStatusEnum
        /// </summary>
        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }


		/// <summary>
		/// 备注
		/// </summary>
		[Description("备注")]
		public string REMARK { get; set; }
	}
}
